# SPDX-Version: 3.0
# SPDX-CreationInfo: 2025-05-05; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-ExternalRef: GIT https://git.coresecret.dev/msw/CISS.debian.live.builder.git
# SPDX-FileContributor: WEIDNER, Marc S.; Centurion Intelligence Consulting Agency
# SPDX-FileCopyrightText: 2024-2025; WEIDNER, Marc S.; <msw@coresecret.dev>
# SPDX-FileType: SOURCE
# SPDX-License-Identifier: EUPL-1.2 OR LicenseRef-CCLA-1.0
# SPDX-LicenseComment: This file is part of the CISS.debian.installer.secure framework.
# SPDX-PackageName: CISS.debian.live.builder
# SPDX-Security-Contact: security@coresecret.eu

source /boot/grub/config.cfg

GRUB_DEFAULT=0
GRUB_TIMEOUT=16
GRUB_DISTRIBUTOR="CISS.debian.live.builder"

# Live boot
@LINUX_LIVE@

### CISS.2025 BOB
#MUST_BE_REPLACED
### CISS.2025 EOB

submenu 'CISS CoreSecret Legacy DI ...' --hotkey=c {
  source /boot/grub/theme.cfg
  menuentry "CISS CoreSecret Legacy DI" --hotkey=s {
    linux @KERNEL_GI@ @APPEND_GI@
    initrd @INITRD_GI@
    }
  }

submenu 'Utilities ...' --hotkey=u {
  source /boot/grub/theme.cfg
  # Memtest (if any)
  if @ENABLE_MEMTEST@; then
    source /boot/grub/memtest.cfg
	fi
	# Firmware setup (UEFI)
  if [ "${grub_platform}" = "efi" ]; then
    menuentry "UEFI Firmware Settings" --hotkey=e {
    fwsetup
    }
  fi
  }
# vim: number et ts=2 sw=2 sts=2 ai tw=128 ft=sh